Index: install_toolkit.php
===================================================================
--- install_toolkit.php	(revision 14733)
+++ install_toolkit.php	(working copy)
@@ -872,7 +872,12 @@
 			$themes_helper =& $this->Application->recallObject('ThemesHelper');
 			/* @var $themes_helper kThemesHelper */
 
-			$module_name = $this->Application->findModule('Path', rtrim($module_folder, '/') . '/', 'Name');
+			// use direct query, since module isn't yet in kApplication::ModuleInfo array
+			$sql = 'SELECT Name
+					FROM ' . TABLE_PREFIX . 'Modules
+					WHERE Path = ' . $this->Conn->qstr(rtrim($module_folder, '/') . '/');
+			$module_name = $this->Conn->GetOne($sql);
+
 			$themes_helper->syncronizeModule($module_name);
 
 			$this->deleteCache($refresh_permissions);
